Subject: [os2genau_digest] No. 1307
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 15 Jun 2006 00:00:51 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 14 June 2006
 Number  1307
**************************************************

Subjects for today
 
1   T30/T40 ? : Voytek Eymont" <voytek at sbt dot net dot au>
2  Re:  T30/T40 ? : Peter Moylan <peter at ozebelg dot org>
3  Re:  T30/T40 ? : madodel <madodel at ptdprolog dot net>
4  Re:  T30/T40 ? : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
5  Re:  T30/T40 ? : Ed Durrant <edurrant at bigpond dot net dot au>
6  Re:  T30/T40 ? : madodel <madodel at ptdprolog dot net>

**= Email   1 ==========================**

Date:  Wed, 14 Jun 2006 09:38:53 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:   T30/T40 ?

does OS/2 run on Thinpad T30 or T40 ?

is there any OS/2 WiFi device ?

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   2 ==========================**

Date:  Wed, 14 Jun 2006 10:38:13 +1000
From:  Peter Moylan <peter at ozebelg dot org>
Subject:  Re:  T30/T40 ?

Voytek Eymont wrote:

> is there any OS/2 WiFi device ?

For WiFi the news seems to be that some 802.11b cards are supported but
that 802.11g (the faster version) support is hard to find. I think there
might be just one card in the latter category with an OS/2 driver, but
I've forgotten what it is. What I found in my own searching is that the
supported 802.11b cards are almost impossible to get, because they are
considered "obsolete".

So what I did myself was follow the advice of Daniela Engert, in a VOICE
article some time last year, and buy a D-Link DWL-G730AP Pocket Access
Point. I can't remember whether this was the precise device recommended
by Dani; the important thing was that it was a Pocket Access Point. This
is a gadget that can be switch-configured as either a wireless client
or as a wireless hub, plus one option that I've forgotten because I
never use it. (I only use the "client" switch position.) This is, in a
sense, overkill, and it costs more than all those cards that are
Windows-only, but it has the advantage that it doesn't care what
operating system you use. It connects to an ethernet port - you probably
have one of those already - so that as far as OS/2 is concerned it's
just an ethernet connection, and the only driver you need is for your
ethernet card. Now that also means that OS/2 doesn't know whether you
have a "b" or "g" version of wireless, so you can run at the higher "g"
speed.

Configuration is, as is usual these days for network devices via a web
browser to the fixed address 192.168.1.30 (if I remember correctly).

Summary: expensive but very fast and trouble-free. (And very very good
for travelling. It is small, and comes with a good-quality leather or
vinyl pouch that holds the device plus its cords and power supply. It
can also be powered from a free USB port.) I don't regret the
money I paid for it because it saved me enormous amounts of trouble
trying to find compatible devices.

-- 
Peter Moylan                          peter at ozebelg dot org
                                       peter.moylan at optusnet dot com dot au
                                       http://www.pmoylan dot org
Please note the changed e-mail and web addresses.  The domain
eepjm.newcastle.edu.au no longer exists, and I can no longer
reliably receive mail at my newcastle.edu.au addresses.
The optusnet address still has about 2 months of life left.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 13 Jun 2006 20:54:47 -0400
From:  madodel <madodel at ptdprolog dot net>
Subject:  Re:  T30/T40 ?

Voytek Eymont wrote:
> does OS/2 run on Thinpad T30 or T40 ?
> 

T30 Review: http://www.os2voice dot org/VNL/past_issues/VNL0103H/vnewsf4.htm
T40 Review: http://www.os2voice dot org/VNL/past_issues/VNL0703H/vnewsf3.htm

> is there any OS/2 WiFi device ?

It depends on what you need.

If you mean PCMCIA, there are drivers for the IBM High Rate wireless 
(802.11b, driver available on Software Choice or with eCS), Cisco 340/350 
(Again 802.11b, A beta driver available if you ask) and  a Generic Prism 
driver for Lucent Prism chipset based cards (802.11b, again a beta that is 
available for the asking).

There is a Mini-PCI driver for the Prism based 802.11b card built-in to 
some T40s available through Software Choice or eCS.  There is the GenMac 
driver which supports several Mini-PCI chipsets and a few PCCard and PCI 
cards ( I did a review of GenMac in the latest VOICE Newsletter ( 
http://www.os2voice dot org/VNL/past_issues/VNL0606H/feature_4.html ). 
genPrism has support for several 802.11g options.  There is a list in the 
article of what is currently supported, though they are looking to add 
more.  The developer is also working on adding WPA encryption support for 
GenMac.  If you need that then this is one of only two solutions.

The final option and the only one that currently has WPA support is a 
wireless bridge which is a platform independent.  Daniela Engert did a 
review of an AsusWL330g a year ago 
http://www.os2voice dot org/VNL/past_issues/VNL0305H/vnewsf4.htm

Mark

-- 

  From the eComStation Desktop of: Mark Dodel

  Warpstock 2006 - Windsor, Ontario, Canada, October 12-15th, 
http://www.warpstock dot org
  Warpstock Europe - http://www.warpstock dot net

For a choice in the future of personal computing, Join VOICE - 
http://www.os2voice dot org

   "The liberty of a democracy is not safe if the people tolerate the 
growth of private power to a point where it becomes stronger than their 
democratic State itself.   That in it's essence, is Fascism - ownership of 
government by an individual, by a group or by any controlling private 
power." Franklin Delano Roosevelt, Message proposing the Monopoly 
Investigation, 1938
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 14 Jun 2006 11:09:19 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  T30/T40 ?

Speaking specifically of my own ThinkPad T30 wireless, mine works in 
windowsXP but not in eCS 1.2r because the wireless chip in my 
particular T30 is not recognised. IBM had TWO chip types in the T30.

SOME T30 ThinkPads that have the OTHER wireless chip do work in
os2/eCS.

I cannot recall which is which, so I suggest you do some searching.
I recall a good write up of the T30 where wireless was working, in 
a Voice newsletter.  A google search should get it for you.

HTH,
Robert Traynor (BobT).
14 June 2006   11:08

On Wed, 14 Jun 2006 09:38:53 +1000 (EST), Voytek Eymont wrote:

> does OS/2 run on Thinpad T30 or T40 ?
> 
> is there any OS/2 WiFi device ?
> 
> 
> -- 
> Voytek

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 14 Jun 2006 19:33:06 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  T30/T40 ?

Voytek Eymont wrote:
> does OS/2 run on Thinpad T30 or T40 ?
> 
> is there any OS/2 WiFi device ?
> 
> 
You need to specify the exact T40 model (4 digit model number if 
possible). The reason for this is that some models use a mini-PCI card 
with one chipset, others use the Centrino chipset.

There ARE definately drivers for *SOME* 802.11b PCMCIA cards, but these 
are of course only 11Mb/s cards and may have compatibility problems with 
some WiFi hotspots.

There is a development called GenMac Wrapper, not to be confused with 
the GenMAC project, these are two separate projects. I have a Thinkpad 
T42 that uses the Intel Centrino 2200BG Wireless chipset and I have this 
operational. Others have had problems and some continue to have 
problems, hence the reason to get the exact model number. WPA encoding 
is not yet support, but is planned. WEP en and de-coding is working.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Wed, 14 Jun 2006 08:58:43 -0400
From:  madodel <madodel at ptdprolog dot net>
Subject:  Re:  T30/T40 ?

madodel wrote:
> Voytek Eymont wrote:
>> does OS/2 run on Thinpad T30 or T40 ?
>>
> 
> T30 Review: http://www.os2voice dot org/VNL/past_issues/VNL0103H/vnewsf4.htm
> T40 Review: http://www.os2voice dot org/VNL/past_issues/VNL0703H/vnewsf3.htm
> 
>> is there any OS/2 WiFi device ?
> 
> It depends on what you need.
> 
> If you mean PCMCIA, there are drivers for the IBM High Rate wireless 
> (802.11b, driver available on Software Choice or with eCS), Cisco 
> 340/350 (Again 802.11b, A beta driver available if you ask) and  a 
> Generic Prism driver for Lucent Prism chipset based cards (802.11b, 
> again a beta that is available for the asking).
> 
> There is a Mini-PCI driver for the Prism based 802.11b card built-in to 
> some T40s available through Software Choice or eCS.  There is the GenMac 
> driver which supports several Mini-PCI chipsets and a few PCCard and PCI 
> cards ( I did a review of GenMac in the latest VOICE Newsletter ( 
> http://www.os2voice dot org/VNL/past_issues/VNL0606H/feature_4.html ). 
> genPrism has support for several 802.11g options.  There is a list in 

Correction: Not genPrism, that should be GenMac.

Mark

> the article of what is currently supported, though they are looking to 
> add more.  The developer is also working on adding WPA encryption 
> support for GenMac.  If you need that then this is one of only two 
> solutions.
> 
> The final option and the only one that currently has WPA support is a 
> wireless bridge which is a platform independent.  Daniela Engert did a 
> review of an AsusWL330g a year ago 
> http://www.os2voice dot org/VNL/past_issues/VNL0305H/vnewsf4.htm
> 
> Mark
> 
> 
> 

-- 

  From the eComStation Desktop of: Mark Dodel

  Warpstock 2006 - Windsor, Ontario, Canada, October 12-15th, 
http://www.warpstock dot org
  Warpstock Europe - http://www.warpstock dot net

For a choice in the future of personal computing, Join VOICE - 
http://www.os2voice dot org

   "The liberty of a democracy is not safe if the people tolerate the 
growth of private power to a point where it becomes stronger than their 
democratic State itself.   That in it's essence, is Fascism - ownership of 
government by an individual, by a group or by any controlling private 
power." Franklin Delano Roosevelt, Message proposing the Monopoly 
Investigation, 1938
----------------------------------------------------------------------------------